%define	name	mediawiki
%define	version	1.4.5
%define	release	3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Wiki
License:	GPL
Group:		System/Servers
Source0:	%{name}-%{version}.tar.bz2
URL:		http://wikipedia.sourceforge.net/
Requires:	mod_php php-xml php-gd
Requires:	php-mysql
#Suggests:	php-cgi
PreReq:		rpm-helper
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
MediaWiki is the software used for Wikipedia (http://www.wikipedia.org) and the
other Wikimedia Foundation websites. Compared to other wikis, it has an
excellent range of features and support for high-traffic websites (Wikipedia
peaks at 380 requests per second as of August 2004).

%prep
%setup -q -n %{name}-%{version}

# clean sources
find . -name .htaccess -exec rm -f {} \;
find . -name .cvsignore -exec rm -f {} \;
rm -f skins/amethyst/null

#correct LanguageKo.php wrong script encoding
perl -pi -e 's/\015$//' languages/LanguageKo.php

%build

%install
rm -rf $RPM_BUILD_ROOT

# install files
install -d -m 755 $RPM_BUILD_ROOT%{_var}/www/html/%{name}
cp -pR * $RPM_BUILD_ROOT%{_var}/www/html/%{name}

# post-install clean-up
rm -rf $RPM_BUILD_ROOT%{_var}/www/html/%{name}/docs
rm -rf $RPM_BUILD_ROOT%{_var}/www/html/%{name}/includes/zhtable
rm -rf $RPM_BUILD_ROOT%{_var}/www/html/%{name}/{COPYING,FAQ,HISTORY,INSTALL,README,RELEASE-NOTES,UPGRADE}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%create_ghostfile /var/log/httpd/mediawiki.log apache apache 640

%files
%defattr(-,root,root)
%dir %{_var}/www/html/%{name}
%{_var}/www/html/%{name}/*.php
%{_var}/www/html/%{name}/*.phtml
%{_var}/www/html/%{name}/*.inc
%{_var}/www/html/%{name}/*.sample
%attr(-,apache,apache) %{_var}/www/html/%{name}/config
%{_var}/www/html/%{name}/extensions
%{_var}/www/html/%{name}/images
%{_var}/www/html/%{name}/includes
%{_var}/www/html/%{name}/irc
%{_var}/www/html/%{name}/languages
%{_var}/www/html/%{name}/maintenance
%{_var}/www/html/%{name}/math
%{_var}/www/html/%{name}/skins
%{_var}/www/html/%{name}/tests

%doc COPYING FAQ HISTORY INSTALL README RELEASE-NOTES UPGRADE
%doc docs/*
%doc includes/zhtable

%changelog
* Fri Jun 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.5-3mdk
- requires php-gd

* Tue Jun 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.5-2mdk
- drop MySQL requires (#16277)

* Mon Jun 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.5-1mdk
- new release
- requires php-mysql

* Sun May 01 2005 Anne Nicolas <anne.nicolas@mandriva.com> 1.4.3-1mdk
- new version

* Tue Apr 26 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.2-3mdk
- mediawiki cannot work without php-xml
- fix config file ownership

* Mon Apr 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.4.2-2mdk
- Fix URL; misc spec cleanups

* Sun Apr 24 2005 Anne Nicolas <anne.nicolas@mandriva.com> 1.4.2-1mdk
- first mdk release 
